package nl.nikhef.safaripark.res;

import java.awt.Image;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.net.URL;

import javax.imageio.ImageIO;
import javax.swing.Icon;
import javax.swing.ImageIcon;

import nl.nikhef.safaripark.SaFariPark;

public class Resources {

	public static final Icon getIcon(String name) {
		URL resource = Resources.class.getResource(name + ".png");
		try {
			BufferedImage bi = ImageIO.read(resource);
			return new ImageIcon(bi);
		} catch (IOException e) {
		}
		return null;		
	}

	public static Image getImage(String name) {
		URL imgURL = Resources.class.getResource(name + ".png");
		try {
			return ImageIO.read(imgURL);
		} catch (IOException e) {
			e.printStackTrace();
		}
		return null;
	}
	
	
}
